{
  description = "Kubernetes resource builder using nix";

  # $ kubectl apply -f <(nix eval --json .#mumble-web.generated)
  # $ kubectl destroy -f <(nix eval --json .#mumble-web.generated)
  # $ nix run .#mumble-web.copyScript

  inputs.flake-utils.url = "github:numtide/flake-utils";
  inputs.nixpkgs.url = "github:NixOS/nixpkgs";
  inputs.kubenix.url = "github:Mic92/kubenix/flake";

  outputs = { self
            , nixpkgs
            , flake-utils
            , kubenix
            }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
      in rec {
        packages.mumble-web = pkgs.callPackage ./default.nix {
          kubenix = kubenix.defaultPackage.${system};
        };
        defaultPackage = packages.mumble-web;
        devShell = pkgs.callPackage ./shell.nix {};
      });
}
